curl --location --globoff 'https://.daftra.com/v2/api/entity/department/list/1' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer ' \
--header 'apikey: ' \
--header 'Content-Type: application/json'{
"current_page": 1,
"data": [
{
"id": 3,
"name": "المبيعات",
"description": null,
"active": 1,
"created": "2025-05-26 08:52:25",
"modified": "2026-06-19 01:55:28",
"abbr": "sa",
"department_managers": [
{
"id": 1,
"manager_id": 4,
"department_id": 3,
"manager_department": {
"id": 4,
"added_by": 1,
"role_id": 2,
"code": "14",
"type": "user",
"name": "Jim",
"middle_name": null,
"last_name": "Ibrahim",
"full_name": "Jim Ibrahim",
"photo": null,
"can_access_system": 1,
"home_phone": null,
"business_Phone": null,
"mobile": null,
"fax": null,
"country_code": "EG",
"address1": null,
"address2": null,
"city": null,
"state": null,
"postal_code": null,
"note": null,
"email_address": "",
"password": null,
"last_login": "2026-06-24 12:10:48",
"active": 1,
"deleted": null,
"created": "2026-06-19 01:54:42",
"deleted_at": null,
"follow_up_status": null,
"hourly_rate": null,
"hourly_rate_currency_code": null,
"default_store_id": null,
"default_treasury_id": null,
"maximum_general_discount": null,
"language_code": 7,
"branch_id": 1,
"default_account_id": null,
"attendance_restriction_id": null,
"auth_id": 6,
"citizenship_status": null,
"nationality": null,
"official_id": null,
"residence_expiry_date": null,
"modified": "2026-06-24 12:10:48",
"smtp_email_address_id": null,
"official_id_unique_check": null
}
},
{
"id": 2,
"manager_id": 1,
"department_id": 3,
"manager_department": {
"id": 1,
"added_by": 1,
"role_id": -1,
"code": "000001",
"type": "user",
"name": "name",
"middle_name": "",
"last_name": "name",
"full_name": "name name",
"photo": null,
"can_access_system": 1,
"home_phone": "",
"business_Phone": null,
"mobile": "",
"fax": null,
"country_code": "EG",
"address1": "",
"address2": "",
"city": "",
"state": "",
"postal_code": "",
"note": null,
"email_address": "",
"last_login": "2026-06-28 10:49:50",
"active": 1,
"deleted": null,
"created": "2025-05-19 12:58:18",
"deleted_at": null,
"follow_up_status": null,
"hourly_rate": null,
"hourly_rate_currency_code": null,
"default_store_id": 1,
"default_treasury_id": 1,
"maximum_general_discount": 10,
"language_code": 7,
"branch_id": 1,
"default_account_id": null,
"attendance_restriction_id": null,
"auth_id": 1,
"citizenship_status": "citizen",
"nationality": null,
"official_id": null,
"residence_expiry_date": null,
"modified": "2026-06-28 18:54:57",
"smtp_email_address_id": null,
"official_id_unique_check": null
}
}
]
},
{
"id": 2,
"name": "المحاسبة",
"description": null,
"active": 1,
"created": "2025-05-26 08:50:47",
"modified": "2025-05-26 08:50:47",
"abbr": null,
"department_managers": null
}
],
"first_page_url": "https://<<subdomain>>.daftra.com/v2/api/entity/department/list/1?page=1",
"from": 1,
"last_page": 1,
"last_page_url": "https://<<subdomain>>.daftra.com/v2/api/entity/department/list/1?page=1",
"links": [
{
"url": null,
"label": "pagination.previous",
"page": null,
"active": false
},
{
"url": "https://<<subdomain>>.daftra.com/v2/api/entity/department/list/1?page=1",
"label": "1",
"page": 1,
"active": true
},
{
"url": null,
"label": "pagination.next",
"page": null,
"active": false
}
],
"next_page_url": null,
"path": "https://<<subdomain>>.daftra.com/v2/api/entity/department/list/1",
"per_page": 20,
"prev_page_url": null,
"to": 2,
"total": 2
}